#### D.13.2.35 randomPoint

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  randomPoint(c); c cone
  randomPoint(c,b); c cone, b int

Return:
  bigintmat, a random point in the relative interior of c

Note:
  returns a weighted sum over all its rays
  if b is given and b>0, only chooses weights between 1 and b

Example:

    LIB "gfan.lib";
    intmat M[2][2]=
    1,0,
    0,1;
    cone c=coneViaPoints(M);
    bigintmat Q=randomPoint(c);
    print(Q);
    ==> 1335380034,380636641
    bigintmat P=randomPoint(c,5);
    print(P);
    ==> 4,4

User manual for Singular version 4.4.1, 2025, generated by texi2html.